clang 8.0.0

Public Member Functions | List of all members
clang::APFloatStorage Class Reference

`#include "clang/AST/Expr.h"`

Inheritance diagram for clang::APFloatStorage:
[legend]
Collaboration diagram for clang::APFloatStorage:
[legend]

## Public Member Functions
llvm::APFloat | getValue (const llvm::fltSemantics &Semantics) const
void | setValue (const ASTContext &C, const llvm::APFloat &Val)

## Detailed Description

Definition at line 1298 of file Expr.h.

## Member Function Documentation

## ◆ getValue()

llvm::APFloat clang::APFloatStorage::getValue | ( | const llvm::fltSemantics & | Semantics | ) | const
| inline

Definition at line 1300 of file Expr.h.

Referenced by clang::FloatingLiteral::getValue().

## ◆ setValue()

void clang::APFloatStorage::setValue | ( | const ASTContext & | C,
|  | const llvm::APFloat & | Val
| ) |  |
| inline

Definition at line 1303 of file Expr.h.

Referenced by clang::FloatingLiteral::setValue().

The documentation for this class was generated from the following file:

- include/clang/AST/Expr.h